Agora RTC Objective-C API Reference Refactor

Public Types | Data Fields
VideoDenoiserOptions Struct Reference

## Public Types
enum | VIDEO_DENOISER_MODE { VIDEO_DENOISER_AUTO = 0, VIDEO_DENOISER_MANUAL = 1 }
enum | VIDEO_DENOISER_LEVEL { VIDEO_DENOISER_LEVEL_HIGH_QUALITY = 0, VIDEO_DENOISER_LEVEL_FAST = 1, VIDEO_DENOISER_LEVEL_STRENGTH = 2 }

## Data Fields
VIDEO_DENOISER_MODE | mode
VIDEO_DENOISER_LEVEL | level

## Detailed Description

The video noise reduction options.

Since
  v4.0.0

## Member Enumeration Documentation

## ◆ VIDEO_DENOISER_MODE

enum VIDEO_DENOISER_MODE

The video noise reduction mode.

Enumerator
VIDEO_DENOISER_AUTO | 0: (Default) Automatic mode. The SDK automatically enables or disables the video noise reduction feature according to the ambient light.
VIDEO_DENOISER_MANUAL | Manual mode. Users need to enable or disable the video noise reduction feature manually.

## ◆ VIDEO_DENOISER_LEVEL

enum VIDEO_DENOISER_LEVEL

The video noise reduction level.

Enumerator
VIDEO_DENOISER_LEVEL_HIGH_QUALITY | 0: (Default) Promotes video quality during video noise reduction. `HIGH_QUALITY` balances performance consumption and video noise reduction quality. The performance consumption is moderate, the video noise reduction speed is moderate, and the overall video quality is optimal.
VIDEO_DENOISER_LEVEL_FAST | Promotes reducing performance consumption during video noise reduction. `FAST` prioritizes reducing performance consumption over video noise reduction quality. The performance consumption is lower, and the video noise reduction speed is faster. To avoid a noticeable shadowing effect (shadows trailing behind moving objects) in the processed video, Agora recommends that you use `FAST` when the camera is fixed.
VIDEO_DENOISER_LEVEL_STRENGTH | Enhanced video noise reduction. `STRENGTH` prioritizes video noise reduction quality over reducing performance consumption. The performance consumption is higher, the video noise reduction speed is slower, and the video noise reduction quality is better. If `HIGH_QUALITY` is not enough for your video noise reduction needs, you can use `STRENGTH`.

## Constructor & Destructor Documentation

## ◆ VideoDenoiserOptions() [1/2]

VideoDenoiserOptions | ( | VIDEO_DENOISER_MODE | denoiserMode,
|  | VIDEO_DENOISER_LEVEL | denoiserLevel
| ) |  |
| inline

## ◆ VideoDenoiserOptions() [2/2]

VideoDenoiserOptions | ( |  | ) |
| inline

## Field Documentation

## ◆ mode

VIDEO_DENOISER_MODE mode

The video noise reduction mode. See VIDEO_DENOISER_MODE.

## ◆ level

VIDEO_DENOISER_LEVEL level

The video noise reduction level. See VIDEO_DENOISER_LEVEL.